| Home | Libraries | People | FAQ | More

## Struct template mapping_pair

boost::icl::mapping_pair

## Synopsis

    // In header: <boost/icl/interval_base_map.hpp>

    template<typename DomainT, typename CodomainT>
    struct mapping_pair {
      // construct/copy/destruct
      mapping_pair();
      mapping_pair(const DomainT &, const CodomainT &);
      mapping_pair(const std::pair< DomainT, CodomainT > &);

      // public data members
      DomainT key;
      CodomainT data;
    };

## Description

### `mapping_pair` public construct/copy/destruct

1.     mapping_pair();

2.     mapping_pair(const DomainT & key_value, const CodomainT & data_value);

3.     mapping_pair(const std::pair< DomainT, CodomainT > & std_pair);